### Method

# Gimp Drawable mask_intersect

#### Declaration [src]

    gboolean
    gimp_drawable_mask_intersect (
      GimpDrawable* drawable,
      gint* x,
      gint* y,
      gint* width,
      gint* height
    )

#### Description [src]

Find the bounding box of the current selection in relation to the specified drawable.

This procedure returns whether there is an intersection between the drawable and the selection. Unlike gimp_drawable_mask_bounds(), the intersection’s bounds are returned as x, y, width, height. If there is no selection this function returns TRUE and the returned bounds are the extents of the whole drawable.

Available since: | 2.2

#### Parameters

`x` | `gint*`
| X coordinate of the upper left corner of the intersection.
| The argument will be set by the function.
`y` | `gint*`
| Y coordinate of the upper left corner of the intersection.
| The argument will be set by the function.
`width` | `gint*`
| Width of the intersection.
| The argument will be set by the function.
`height` | `gint*`
| Height of the intersection.
| The argument will be set by the function.

#### Return value

Returns: | `gboolean`
| TRUE if the returned area is not empty.